@echo off

REM How to use it:
REM Go to script location (e.g. Downloads folder)
REM Ensure the assets.pqx and the install-script.bat are in the same folder
REM Right click on the install-script.bat and click "Run as Administrator"
REM There should be no errors and the last line should be "File copied successfully"

REM Change to the directory where the script is located
cd /d "%~dp0"

set registryPath="HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Power BI Desktop"
set registryName="TrustedCertificateThumbprints"
set registryValue="C37C6618D928A3136CC444CE59D1B0305BA0186B"
REM We need to copy to both Documents folder and OneDrive Documents as Power BI could read any of them depending on the configuration. 
set connectorsDirectory="%USERPROFILE%\Documents\Microsoft Power BI Desktop\Custom Connectors"
set connectorsDirectoryOneDrive="%OneDriveCommercial%\Documents\Microsoft Power BI Desktop\Custom Connectors"
set extensionFilenamePattern="*.pqx"

REM Add the registry variable
reg add %registryPath% /v %registryName% /t REG_MULTI_SZ /d %registryValue% /f
REM Check if the command was successful
if %errorlevel%==0 (
    echo Registry value set successfully.
) else (
    echo Failed to set registry value.
)

REM Create the Custom Connectors directory in Documents
mkdir %connectorsDirectory%
REM Check if the Custom Connectors directory was created successfully in Documents
if exist %connectorsDirectory% (
    echo Folder created successfully in Documents.
) else (
    echo Failed to create folder in Documents.
)

REM Copy extension file to Custom Connectors directory in Documents
copy %extensionFilenamePattern% %connectorsDirectory% 
REM Check if the file was copied successfully to Custom Connectors directory in Documents
if exist %connectorsDirectory%\%extensionFilenamePattern% (
    echo File copied successfully to Custom Connectors directory in Documents.
) else (
    echo Failed to copy file to Custom Connectors directory in Documents.
)

REM Create the Custom Connectors directory in OneDrive Documents
mkdir %connectorsDirectoryOneDrive%
REM Check if the Custom Connectors directory was created successfully in OneDrive Documents
if exist %connectorsDirectoryOneDrive% (
    echo File copied successfully to Custom Connectors directory in OneDrive Documents.
) else (
    echo Failed to copy file to Custom Connectors directory in OneDrive Documents.
)

REM Copy extension file to Custom Connectors directory in OneDrive Documents
copy %extensionFilenamePattern% %connectorsDirectoryOneDrive% 
REM Check if the file was copied successfully to Custom Connectors directory in OneDrive Documents
if exist %connectorsDirectoryOneDrive%\%extensionFilenamePattern% (
    echo File copied successfully to Custom Connectors directory in OneDrive Documents.
) else (
    echo Failed to copy file to Custom Connectors directory in OneDrive Documents.
)

pause